#### Read and analyse summary data based on simulations (linked linear mixed models) ####
##
## Sven Hohenstein, May 2016

path <- "sim_res"

files <- list.files(path, "^linked_sim_\\d+\\.rds$", full.names = TRUE)

# extract coefficient summaries
res <- lapply(files, function(f) {
  dat <- readRDS(f)
  conv <- dat[["conv"]]
  if (conv) {
    dat[["summary"]]    
  } else {
    NULL
  }
})

# find models that didn't converge
idx_no_conv <- vapply(res, is.null, FALSE)
cat(sum(idx_no_conv), "models did not converge\n")
# remove these models
res2 <- res[!idx_no_conv]

# save preliminary result
saveRDS(res2, "sim_res_combined.rds")